Package org.eclipse.cdt.core.dom.parser.cpp

# Class ANSICPPParserExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.cpp.AbstractCPPParserExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.ANSICPPParserExtensionConfiguration

All Implemented Interfaces:
  `ICPPParserExtensionConfiguration`

public class ANSICPPParserExtensionConfiguration extends AbstractCPPParserExtensionConfiguration

## Constructor Summary

Constructors
Constructor
Description
`ANSICPPParserExtensionConfiguration()`

## Method Summary

### Methods inherited from class org.eclipse.cdt.core.dom.parser.cpp.AbstractCPPParserExtensionConfiguration

`allowRestrictPointerOperators, getAdditionalContextSensitiveKeywords, getBuiltinBindingsProvider, supportAlignOfUnaryExpression, supportAttributeSpecifiers, supportComplexNumbers, supportDeclspecSpecifiers, supportExtendedSizeofOperator, supportExtendedTemplateSyntax, supportFunctionStyleAssembler, supportGCCOtherBuiltinSymbols, supportGCCStyleDesignators, supportKnRC, supportLongLongs, supportMinAndMaxOperators, supportParameterInfoBlock, supportRestrictKeyword, supportStatementsInExpressions, supportTypeofUnaryExpressions, supportUserDefinedLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ANSICPPParserExtensionConfiguration

public ANSICPPParserExtensionConfiguration()